Package org.postgresql.jdbc

# Class PgResultSet.CursorResultHandler

java.lang.Object
org.postgresql.core.ResultHandlerBase
org.postgresql.jdbc.PgResultSet.CursorResultHandler

All Implemented Interfaces:
  `ResultHandler`

Enclosing class:
  `PgResultSet`

public class PgResultSet.CursorResultHandler extends ResultHandlerBase

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CursorResultHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handleCommandStatus(String status, long updateCount, long insertOID)`
  Called when a query that did not return a resultset completes.
  `void`
  `handleCompletion()`
  Called before a QueryExecutor method returns.
  `void`
  `handleResultRows(Query fromQuery, Field[] fields, List<Tuple> tuples, @Nullable ResultCursor cursor)`
  Called when result rows are received from a query.

  ### Methods inherited from class org.postgresql.core.ResultHandlerBase

  `getException, getWarning, handleError, handleWarning, secureProgress`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CursorResultHandler

    public CursorResultHandler()

- ## Method Details

  - ### handleResultRows

    public void handleResultRows(Query fromQuery, Field[] fields, List<Tuple> tuples, @Nullable ResultCursor cursor)
    Description copied from interface: `ResultHandler`
    Called when result rows are received from a query.
    Specified by:
      `handleResultRows` in interface `ResultHandler`
    Overrides:
      `handleResultRows` in class `ResultHandlerBase`
    Parameters:
      `fromQuery` - the underlying query that generated these results; this may not be very specific (e.g. it may be a query that includes multiple statements).
      `fields` - column metadata for the resultset; might be `null` if Query.QUERY_NO_METADATA was specified.
      `tuples` - the actual data
      `cursor` - a cursor to use to fetch additional data; `null` if no further results are present.

  - ### handleCommandStatus

    public void handleCommandStatus(String status, long updateCount, long insertOID)
    Description copied from interface: `ResultHandler`
    Called when a query that did not return a resultset completes.
    Specified by:
      `handleCommandStatus` in interface `ResultHandler`
    Overrides:
      `handleCommandStatus` in class `ResultHandlerBase`
    Parameters:
      `status` - the command status string (e.g. "SELECT") returned by the backend
      `updateCount` - the number of rows affected by an INSERT, UPDATE, DELETE, FETCH, or MOVE command; -1 if not available.
      `insertOID` - for a single-row INSERT query, the OID of the newly inserted row; 0 if not available.

  - ### handleCompletion

    public void handleCompletion() throws SQLException
    Description copied from interface: `ResultHandler`
    Called before a QueryExecutor method returns. This method may throw a SQLException if desired; if it does, the QueryExecutor method will propagate that exception to the original caller.
    Specified by:
      `handleCompletion` in interface `ResultHandler`
    Overrides:
      `handleCompletion` in class `ResultHandlerBase`
    Throws:
      `SQLException` - if the handler wishes the original method to throw an exception.